Index: /branches/2.2/filemanager/setup/setup.inc.php
===================================================================
--- /branches/2.2/filemanager/setup/setup.inc.php	(revision 3618)
+++ /branches/2.2/filemanager/setup/setup.inc.php	(revision 3632)
@@ -18,13 +18,13 @@
 	$setup_info['filemanager']['enable']  = 1;
 
-
-	$setup_info['filemanager']['author'] = 'eGroupware 1.0';
-	$setup_info['filemanager']['license']  = 'GPL';
-	$setup_info['filemanager']['description'] = 'Great filemanager with good resources.';
-	$setup_info['filemanager']['note'] = 'Bassed on egw filemanager 1.0 changes by Alexandre Felipe Muller de Souza';
-	$setup_info['filemanager']['maintainer'] =  'Alexandre Felipe Muller de Souza <br/>' .
-											    'Alexandre Luiz Correia <br/> ' .
-											    'Fernando Porto Correa <br/>' .
-											    'Rodrigo Souza';
+	$setup_info['filemanager']['author'] 		= 'eGroupware 1.0';
+	$setup_info['filemanager']['license']  		= 'GPL';
+	$setup_info['filemanager']['description'] 	= 'Great filemanager with good resources.';
+	$setup_info['filemanager']['note'] 			= 'Bassed on egw filemanager 1.0 changes by Alexandre Felipe Muller de Souza';
+	$setup_info['filemanager']['maintainer']  = 'Alexandre Felipe Muller de Souza <br/>';
+	$setup_info['filemanager']['maintainer'] .= 'Alexandre Luiz Correia <br/> ';
+	$setup_info['filemanager']['maintainer'] .= 'Fernando Porto Correa <br/>';
+	$setup_info['filemanager']['maintainer'] .= 'Rodrigo Souza<br/></br>';
+    $setup_info['filemanager']['maintainer'] .= 'Coordenador do Projeto : Nilton Emilio Buhrer Neto<br/><br/>';	
 
 	$setup_info['filemanager']['tables'][] = 'phpgw_vfs_quota';
Index: /branches/2.2/filemanager/setup/phpgw_pt-br.lang
===================================================================
--- /branches/2.2/filemanager/setup/phpgw_pt-br.lang	(revision 3619)
+++ /branches/2.2/filemanager/setup/phpgw_pt-br.lang	(revision 3632)
@@ -1,5 +1,7 @@
 %1 already exists as a file	filemanager	pt-br	%1 já existe como um arquivo
 application	filemanager	pt-br	Aplicação
+Add	filemanager	pt-br	Adicionar
 Add file	filemanager	pt-br	Adicionar arquivo
+Back	filemanager	pt-br	Voltar
 back to file manager	filemanager	pt-br	Voltar ao Gerenciador de Arquivos
 cancel editing %1 without saving	filemanager	pt-br	Cancelar edição %1 sem salvar
@@ -67,5 +69,7 @@
 edit	filemanager	pt-br	Editar
 edit comments	filemanager	pt-br	Editar Comentários
+Email	filemanager	pt-br	Email
 Email notify uploads	common	pt-br	Notificar por email uploads
+Emails reported	filemanager	pt-br	Emails notificados
 execute	filemanager	pt-br	Executar
 failed to create directory	filemanager	pt-br	falhou ao criar pasta
@@ -99,4 +103,5 @@
 More files	filemanager	pt-br	Mais arquivos
 No file(s) to send	filemanager	pt-br	Sem arquivo(s) para enviar
+Notify email	filemanager	pt-br	Notificar os e-mails
 %1 files moved successfuly	filemanager	pt-br	%1 arquivos movidos com sucesso
 File moved successfuly	filemanager	pt-br	Arquivo movido com sucesso
@@ -177,4 +182,6 @@
 Impossible to edit this file	filemanager	pt-br	Impossível editar o arquivo selecionado
 it was not possible to send your file	filemanager	pt-br	Não foi possível enviar seu arquivo
+It is necessary to inform the user that will receive email notification	filemanager	pt-br	É necessário informar o email do usuário que receberá a notificação
+It is necessary to inform the user that sends mail file	filemanager	pt-br	É necessário informar o email do usuário que envia o arquivo
 Please, type a strong password (suggestion: at least 8 characters, letters and numbers) or leave it empty to archive only	filemanager	pt-br	Por favor, digite uma senha segura (sugestão: pelo menos 8 caracteres com letras e números) ou deixe o campo vazio para somente arquivar
 Please, retype your password	filemanager	pt-br	Por favor, redigite sua senha
@@ -185,4 +192,5 @@
 view documents on server (if available)	filemanager	pt-br	Visualizar documentos no servidor (se disponível)
 who	filemanager	pt-br	Quem
+When the user with the email send a file	filemanager	pt-br	Quando o usuário com o e-mail enviar um arquivo
 you do not have access to %1	filemanager	pt-br	Você não tem acesso a %1
 Your Home Dir did not exist, eGroupWare created a new one.	filemanager	pt-br	Seu Diretório Home não existia, foi criado um novo.
Index: /branches/2.2/filemanager/setup/tables_current.inc.php
===================================================================
--- /branches/2.2/filemanager/setup/tables_current.inc.php	(revision 3618)
+++ /branches/2.2/filemanager/setup/tables_current.inc.php	(revision 3632)
@@ -16,8 +16,9 @@
 		(
 			'fd' => array(
-				'email_from' => array('type' => 'int','precision' => '100','nullable' => False),
-				'email_to' => array('type' => 'text','nullable' => False),
+				'filemanager_id' => array('type' => 'auto','nullable' => False),
+				'email_from' => array('type' => 'varchar','precision' => '100','nullable' => False),
+				'email_to' => array('type' => 'text','nullable' => False)
 			),
-			'pk' => array('email_from'),
+			'pk' => array('filemanager_id'),
 			'fk' => array(),
 			'ix' => array(),
Index: /branches/2.2/filemanager/inc/class.uiconfig.inc.php
===================================================================
--- /branches/2.2/filemanager/inc/class.uiconfig.inc.php	(revision 3619)
+++ /branches/2.2/filemanager/inc/class.uiconfig.inc.php	(revision 3632)
@@ -64,11 +64,11 @@
 		
 		$vars = array( 
-					'lang_directory'	=> lang('directory'),
-					'lang_search' 		=> lang('search'),
-					'lang_remove' 		=> lang('remove'),
-					'lang_rename' 		=>lang('rename'),
-					'lang_create' 		=> lang('create'),
-					'lang_reconstruct' 	=> lang('reconstruct')
-				);
+						'lang_directory'	=> lang('directory'),
+						'lang_search' 		=> lang('search'),
+						'lang_remove' 		=> lang('remove'),
+						'lang_rename' 		=> lang('rename'),
+						'lang_create' 		=> lang('create'),
+						'lang_reconstruct' 	=> lang('reconstruct')
+					);
 
 		$this->template->set_var($vars);
@@ -90,15 +90,18 @@
 		$this->template->set_file(array('config_list' => 'config_owner.tpl'));
 		$this->template->set_block('config_list','body','body');
-		$vars[lang_users_and_groups]=lang('Users and groups');
-		$vars[lang_search]=lang('search');
-		$vars[lang_directory]=lang('directory');
-		$vars[lang_setowner]=lang('set owner');
-		$vars[lang_setperm]=lang('set permission');
-
+		
+		$vars = array(
+						'lang_directory'		=> lang('directory'),
+						'lang_search'			=> lang('search'),
+						'lang_setowner'			=> lang('set owner'),
+						'lang_setperm'			=> lang('set permission'),
+						'lang_users_and_groups'	=> lang('Users and groups')
+					);
+		
 		$this->template->set_var($vars);
 		$this->template->pparse('out','body');
-                    $GLOBALS['phpgw']->common->phpgw_footer();
-                    $GLOBALS['phpgw']->common->phpgw_exit();
-
+
+        $GLOBALS['phpgw']->common->phpgw_footer();
+        $GLOBALS['phpgw']->common->phpgw_exit();
 	 }
 
@@ -230,4 +233,5 @@
 	{
 		$GLOBALS['phpgw']->common->phpgw_header();
+
 		echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/js/connector.js'></script>";
 		echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/js/common_functions.js'></script>";
@@ -236,31 +240,79 @@
 		$this->template->set_file(array('config_list' => 'config_quota.tpl'));
 		$this->template->set_block('config_list','body','body');
-		$vars[lang_directory]=lang('directory');
-		$vars[lang_search]=lang('search');
-		$vars[lang_save]=lang('save');
+
+		$vars = array(
+						'lang_directory' => lang('directory'),
+						'lang_save' =>lang('save'),						
+						'lang_search' => lang('search')
+					);
 
 		$this->template->set_var($vars);
 		$this->template->pparse('out','body');
+
 		$GLOBALS['phpgw']->common->phpgw_footer();
         $GLOBALS['phpgw']->common->phpgw_exit();
-
 	}
 	 
 	function notifyUploads()
 	{
+		$GLOBALS['phpgw_info']['flags']['app_header'] = lang('Filemanager') ." - " . lang("Email notify uploads");
 		$GLOBALS['phpgw']->common->phpgw_header();
 		
+		if( $_POST['button_add'] )
+		{
+			$vars = array(
+							'action_url_back'	=> "./index.php?menuaction=filemanager.uiconfig.notifyUploads",
+							'lang_Add'			=> lang("Add"),
+							'lang_Back'			=> lang("Back"),
+							'lang_Email'		=> lang("Email"),
+							'lang_Excluir'		=> lang("Delete"),
+							'lang_legend1'		=> lang("When the user with the email send a file"),
+							'lang_legend2'		=> lang("Notify email"),
+							'lang_legend3'		=> lang("Emails reported"),
+							'lang_from'			=> lang("From"),
+							'lang_to'			=> lang("To"),
+							'value_conf_email'	=> "",
+						 );	
+			
+			$handle = "AddEmail";
+		}
+		else
+		{	
+			$value_config = "";
+			
+			if( trim($_POST['search_email']) != "" )
+			{
+				require_once("class.notifications.inc.php");
+				$notify = new notifications();
+				$result = $notify->SearchEmail( $_POST['search_email'] );
+
+				foreach( $result as $tmp )
+				{
+					$value_config .= '<tr>';
+					$value_config .= '<td align="left" width="40%">'.$tmp['email_from'].'</td>';
+					$value_config .= '<td align="left" width="40%">'.str_replace(",", "<br/>", $tmp['email_to']).'</td>';
+					$value_config .= '<td align="center" width="10%">Editar</td>';
+					$value_config .= '<td align="center" width="10%"><a href="javascript:void();" onclick="notify.deleteEmailUser(\''.$tmp['filemanager_id'].'\', this);">Excluir</a></td>';
+					$value_config .= '</tr>';
+				}
+			}
+			
+			$vars = array(
+							'action_url'		=> "./index.php?menuaction=filemanager.uiconfig.notifyUploads",
+							'action_url_back'	=> "./admin",
+							'bt_previous'		=> "<input type='submit' name='bt_previous' value='Anterior' />",
+							'bt_next' 			=> "<input type='submit' name='bt_next' value='Proximo' />",
+							'lang_search'		=> lang("Search"),
+							'value_config'		=> $value_config													
+						 );
+			
+			$handle = "index";
+		}
+
 		$this->template->set_file(array('config_email' => 'notify_upload.tpl'));
-		$this->template->set_block('config_email','body','body');
-		
-		$vars = array(
-						'action_url_back' => './admin',
-						'bt_previous' => '<input type="submit" name="bt_previous" value="Anterior" />',
-						'bt_next' => '<input type="submit" name="bt_next" value="Proximo" />',													
-					);
-		
+		$this->template->set_block('config_email',$handle);
 		$this->template->set_var($vars);
-		$this->template->pparse('out','body');
-		
+		$this->template->pparse('out',$handle);
+
         $GLOBALS['phpgw']->common->phpgw_footer();
         $GLOBALS['phpgw']->common->phpgw_exit();
Index: /branches/2.2/filemanager/inc/class.notifications.inc.php
===================================================================
--- /branches/2.2/filemanager/inc/class.notifications.inc.php	(revision 3632)
+++ /branches/2.2/filemanager/inc/class.notifications.inc.php	(revision 3632)
@@ -0,0 +1,164 @@
+<?php
+
+define('PHPGW_INCLUDE_ROOT','../');	
+define('PHPGW_API_INC','../phpgwapi/inc');
+require_once(PHPGW_API_INC . '/class.db.inc.php');
+
+class notifications
+{
+	private $db;
+	private $db_name;
+	private $db_host;
+	private $db_port;
+	private $db_user;
+	private $db_pass;
+	private $db_type;
+
+	
+	var $public_functions = array
+	(
+		'AddEmail'			=> True,
+		'DeleteEmail'		=> True,
+		'DeleteEmailUser'	=> True
+	);
+	
+	public function notifications()
+	{
+		if( !$GLOBALS['phpgw']->acl->check('run',1,'admin') )
+		{
+			$GLOBALS['phpgw']->redirect_link('/admin/index.php');
+		}		
+		$this->db_name = $GLOBALS['phpgw_info']['server']['db_name'];
+		$this->db_host = $GLOBALS['phpgw_info']['server']['db_host'];
+		$this->db_port = $GLOBALS['phpgw_info']['server']['db_port'];
+		$this->db_user = $GLOBALS['phpgw_info']['server']['db_user'];
+		$this->db_pass = $GLOBALS['phpgw_info']['server']['db_pass'];
+		$this->db_type = $GLOBALS['phpgw_info']['server']['db_type'];
+		$this->connectDB();
+
+	}
+
+	private final function connectDB()
+	{
+		$this->db = new db();
+		$this->db->connect($this->db_name,$this->db_host,$this->db_port,$this->db_user,$this->db_pass,$this->db_type);		
+	}	
+	
+	public function AddEmail()
+	{	
+		$emailFrom	= $_GET['emailFrom'];
+		$emailTo	= $_GET['emailTo'];
+		$return		= "";
+		
+		if( $this->db )
+		{
+			$query = "SELECT * FROM phpgw_filemanager_notification WHERE email_from = '".$emailFrom."';";
+
+			if( $this->db->query($query) )
+			{
+				while( $this->db->next_record())
+					$result[] = $this->db->row();					
+			}
+					
+			if( count($result) == 0 )
+			{
+				$query	= "INSERT INTO phpgw_filemanager_notification(email_from,email_to) VALUES('".$emailFrom."', '".$emailTo."')";
+				$return	= $emailTo;
+			}
+			else
+			{
+				$email_to	= ( $result[0]['email_to'] ) ? $result[0]['email_to'].",".$emailTo : $emailTo ;
+				$query		= "UPDATE phpgw_filemanager_notification SET email_to = '".$email_to."' WHERE email_from = '".$emailFrom."';";
+				
+				$sort = explode("," , $email_to);
+				natsort($sort);
+				
+				$return		= implode(",", $sort );
+			}
+			
+			if( !$this->db->query($query) )
+			{
+				$return	= "False";
+			}
+		}
+		
+		echo $return;
+	}
+	
+	public function DeleteEmail()
+	{
+		$emailFrom 	= $_GET['emailFrom'];
+		$emailTo	= $_GET['emailTo'];
+		$return		= "True";
+		
+		if( $this->db )
+		{
+			$query = "SELECT * FROM phpgw_filemanager_notification WHERE email_from = '".$emailFrom."';";
+
+			if( $this->db->query($query) )
+			{
+				while( $this->db->next_record())
+					$result[] = $this->db->row();					
+			}
+			
+			$email_to = explode( ",", $result[0]['email_to'] );
+			
+			for( $i = 0 ; $i < count($email_to); $i++ )
+			{
+				if($email_to[$i] == $emailTo)
+				{
+					unset( $email_to[$i] );
+				}
+			}
+			
+			natsort( $email_to );
+			
+			$return = implode(",", $email_to );
+			$query  = "UPDATE phpgw_filemanager_notification SET email_to = '".$return."' WHERE email_from = '".$emailFrom."';";
+			
+
+			if( !$this->db->query($query) )
+				$return	= "False";
+			else
+				$return = "True";
+		}
+		
+		echo $return;
+	}
+	
+	public function DeleteEmailUser()
+	{
+		$id 	= $_GET['filemanagerId']; 		
+		$return	= "";
+		
+		if( $this->db )
+		{
+			$query = "DELETE FROM phpgw_filemanager_notification WHERE filemanager_id = '".$id."';";
+			
+			if( !$this->db->query($query) )
+				$return	= "False";
+			else
+				$return = "True";
+		}
+		
+		echo $return;
+	}
+	
+	public function SearchEmail( $pData )
+	{
+		$query = "SELECT * FROM phpgw_filemanager_notification WHERE email_from like '%".$pData."%';";
+		
+		if( $this->db )
+		{
+			if( $this->db->query($query) )
+			{
+				while( $this->db->next_record())
+					$result[] = $this->db->row();					
+			}
+		}
+		
+		return $result;				
+	}
+}
+
+?>
Index: /branches/2.2/filemanager/js/notifications.js
===================================================================
--- /branches/2.2/filemanager/js/notifications.js	(revision 3632)
+++ /branches/2.2/filemanager/js/notifications.js	(revision 3632)
@@ -0,0 +1,126 @@
+(function()
+{
+
+	function notifications(){}
+	
+	function AddEmail()
+	{
+		var emailFrom	= document.getElementById('filemanager_add_email_from');	
+		var emailTo		= document.getElementById('filemanager_add_email_to');
+
+		var _AddEmail = function( data )
+		{
+			if( data !== "False")
+			{
+				var _data = data.split(",");
+				var _tableElement = document.getElementById("table_email_notifications");
+				_tableElement.innerHTML = "<tr class='th'><td width='80%'>"+get_lang("Email")+"</td>" +
+										  "<td width='20%' align='center'>"+get_lang("Delete")+"</td></tr>";
+
+				for( var i = 0; i < _data.length ; i++ )
+				{
+					var _tr = document.createElement("tr");
+					
+					var _td1 = document.createElement("td");
+						_td1.appendChild( document.createTextNode( _data[i] ) );
+						_tr.appendChild( _td1 );
+					
+					var _td2			= document.createElement("td");
+						_td2.align 		= "center";
+						_td2.innerHTML 	= '<a href="javascript:void();" onclick="notify.deleteEmail(\'' + _data[i] + '\',this);">' + get_lang("Delete") + '</a>';
+						_tr.appendChild( _td2 );
+						
+					_tableElement.appendChild( _tr );	
+				}
+				
+				emailTo.value = "";
+				emailTo.focus();
+			}	
+		}
+		
+		if( ( emailFrom.value = trim(emailFrom.value) ) != "")
+		{
+			if( ( emailTo.value = trim(emailTo.value) ) != "" )
+			{
+				cExecute_("./index.php?menuaction=filemanager.notifications.AddEmail&emailFrom="+emailFrom.value+"&emailTo="+emailTo.value, _AddEmail);
+			}
+			else
+				alert( get_lang("It is necessary to inform the user that will receive email notification") + "!");
+		}
+		else
+		{
+			alert( get_lang("It is necessary to inform the user that sends mail file") + "!");
+		}
+	}
+	
+	function DeleteEmail()
+	{
+		if( arguments.length > 0 )
+		{
+			var _emailFrom 	= trim( document.getElementById('filemanager_add_email_from').value );
+			var _emailTo	= arguments[0];
+			var _tr	= arguments[1].parentNode.parentNode;
+			
+			var _DeleteEmail = function(data)
+			{
+				if( data !== "False" )
+					_tr.parentNode.removeChild( _tr );
+			};
+			
+			cExecute_("./index.php?menuaction=filemanager.notifications.DeleteEmail&emailFrom="+_emailFrom+"&emailTo="+_emailTo, _DeleteEmail);
+		}
+	}
+	
+	function DeleteEmailUser()
+	{
+		if( arguments.length > 0 )
+		{
+			var _id = trim( arguments[0] );
+			var _tr	= arguments[1].parentNode.parentNode;
+			
+			var _DeleteEmailUser = function(data)
+			{
+				if( data !== "False" )
+					_tr.parentNode.removeChild( _tr );
+			};
+			
+			cExecute_("./index.php?menuaction=filemanager.notifications.DeleteEmailUser&filemanagerId="+_id, _DeleteEmailUser);
+		}
+	}
+
+	function trim(inputString)
+	{
+	   if ( typeof inputString != "string" )
+		   return inputString;
+
+	   var retValue = inputString;
+	   var ch = retValue.substring(0, 1);
+	   
+	   while (ch == " ")
+	   {
+		  retValue = retValue.substring(1, retValue.length);
+		  ch = retValue.substring(0, 1);
+	   }
+	   
+	   ch = retValue.substring(retValue.length-1, retValue.length);
+	   
+	   while (ch == " ")
+	   {
+		  retValue = retValue.substring(0, retValue.length-1);
+		  ch = retValue.substring(retValue.length-1, retValue.length);
+	   }
+	   
+	   while (retValue.indexOf("  ") != -1) 
+	   {
+		  retValue = retValue.substring(0, retValue.indexOf("  ")) + retValue.substring(retValue.indexOf("  ")+1, retValue.length);
+	   }
+	   return retValue;
+	}
+
+	notifications.prototype.addEmail		= AddEmail;
+	notifications.prototype.deleteEmail		= DeleteEmail;
+	notifications.prototype.deleteEmailUser	= DeleteEmailUser;
+	
+	window.notify	=	new notifications;
+	
+})();
Index: /branches/2.2/filemanager/templates/default/notify_upload.tpl
===================================================================
--- /branches/2.2/filemanager/templates/default/notify_upload.tpl	(revision 3619)
+++ /branches/2.2/filemanager/templates/default/notify_upload.tpl	(revision 3632)
@@ -1,56 +1,106 @@
-<!-- BEGIN body -->
+<!-- BEGIN index -->
 
-	<form>
+	<script src='filemanager/js/connector.js'></script>
+	<script src='filemanager/js/common_functions.js'></script>
+	<script src='filemanager/js/notifications.js'></script>
+
+	<div style="margin-left:10px">
+		<div style="margin-top: 10px">
+			<span style="position:relative; float:left;">
+				<form method="POST" action="{action_url}">
+					<input type="submit" name="button_add" value="Adicionar" />
+				</form>	
+			</span>
+			<span style="postion:relative;float:right;">
+				<form method="POST" action="{action_url}">
+					<label style="margin-left:5px;">{lang_search}.:</label>
+					<input type="text" name="search_email" size="30" maxlength="30" />
+				</form>
+			</span>
+		</div>
+		<br/>
+		<br/>
+		<table style="border:0px; width:100% !important;">
+			<tr class="th">
+				<td align="left" width="40%">De ( Email )</td>
+				<td align="left" width="40%">Para ( Email ) </td>
+				<td align="center" width="10%">Editar</td>
+				<td align="center" width="10%">Excluir</td>	
+			</tr>
+			<tr>
+				{value_config}
+			</tr>
+		</table>
 		
-		<div style="margin-left:10px;">
-		
-			<div style="margin-top: 10px; margin-bottom: 10px;">
-				
-				<div>
-					<input type="button" name="button_add" value="Adicionar" onclick="alert('Adicionar um novo email para envio')"/>
-				</div>
-				
-				<!--		
-				<div style="margin-top: 10px; margin-bottom: 10px; position:relative; float:left;">
-					<fieldset style="width:400px;">
-						<legend> Procurar por </legend>
-						<input type="radio" name="opt_email" value="to" /> De
-						<input type="radio" name="opt_from"	value="from" /> From
-						<br/> 		
-						<label> Email .: </label>
-						<input type="text" size="40" maxlength="40" name="email_search" />
-						<input type="button" name="button_search" value="Procurar" onclick="alert('Adicionar um novo email para envio')"/>
-					</fieldset>
-				</div>
-				-->
-				
+		<div>
+			<div style="margin-top:10px; position:relative; float:left;">
+				<input type="button" onClick="document.location.href='{action_url_back}'" value="Voltar"/>
 			</div>
-			
-			<table style="border:0px; width:100% !important;">
-				<th>
-					<tr class="th">
-						<td align="left" width="40%">De ( Email )</td>
-						<td align="left" width="40%">Para ( Email ) </td>
-						<td align="center" width="10%">Editar</td>
-						<td align="center" width="10%">Excluir</td>	
-					</tr>
-				</th>
-			</table>
-			
-			
-			<div>
-				<div style="margin-top:10px; position:relative; float:left;">
-					<input type="button" onClick="document.location.href='{action_url_back}'" value="Voltar"/>
-				</div>
-				<div style="margin:10px; position:relative; float:right;">
+			<div style="margin:10px; position:relative; float:right;">
+				<form method="POST" action="{action_url}">
 					{bt_previous}
 					{bt_next}
-				</div>
-				<input type="hidden" name="button_previous" value="{value_previous}" />
-				<input type="hidden" name="button_next" value="{value_next}" />
+					<input type="hidden" name="button_previous" value="{value_previous}" />
+					<input type="hidden" name="button_next" value="{value_next}" />
+				</form>					
 			</div>
 		</div>
+	</div>
+
+<!-- END index -->
+
+<!-- BEGIN AddEmail -->
+
+	<script src='filemanager/js/connector.js'></script>
+	<script src='filemanager/js/common_functions.js'></script>
+	<script src='filemanager/js/notifications.js'></script>
+	
+	<div id="principal" style="width:35%; border:1px solid #000; margin: 0 auto; padding: 10px; text-align: left;">
 		
-	</form>
+		<div style="margin:5 0 15 5;">	
+			
+			<fieldset style="width:400px;">	
+				<legend>{lang_legend1}</legend>
+				<label>{lang_from}</label>
+				<br/>
+				<input id="filemanager_add_email_from" type="text" size="45" maxlength="50" />
+			</fieldset>
+			
+		</div>
+		
+		<div style="margin:5px;">	
+			
+			<fieldset style="width:400px;">
+				<legend>{lang_legend2}</legend>
+				<label>{lang_to}</label>
+				<br/>
+				<input id="filemanager_add_email_to" type="text" size="45" maxlength="50" />
+				<input type="button" value="{lang_Add}" onclick="notify.addEmail();" />
+			</fieldset>
+			
+		</div>
+		
+		<div style="margin:5px;">
+			
+			<fieldset style="width:400px;">
+				<legend>{lang_legend3}</legend>
+				<table id="table_email_notifications" style="border:0px solid #000; width:100%;">
+					<tr class="th">
+						<td width="80%">{lang_Email}</td>
+						<td width="20%" align="center">{lang_Excluir}</td>
+					</tr>
+					{value_conf_email}
+				</table>
+			</fieldset>
+			
+		</div>
 
-<!-- END body -->
+		<div style="margin: 5px">
+			<input type="button" onclick="document.location.href='{action_url_back}'" value="{lang_Back}"/>
+		</div>
+		
+	</div>
+	<br/>
+	<br/>
+		
+<!-- END AddEmail -->