Index: /branches/2.2/mobile/inc/class.ui_mobilecalendar.inc.php
===================================================================
--- /branches/2.2/mobile/inc/class.ui_mobilecalendar.inc.php	(revision 3599)
+++ /branches/2.2/mobile/inc/class.ui_mobilecalendar.inc.php	(revision 3641)
@@ -26,5 +26,10 @@
 		
 		function index($params) {
-			$this->template->set_file(array('calendar' => 'calendar.tpl'));
+			$this->template->set_file(
+									array(
+										'calendar' => 'calendar.tpl',
+										'home_search_bar' => 'search_bar.tpl'
+									)
+								);
 			$this->template->set_block("calendar","page");
 			$this->template->set_block('calendar','event_block');
@@ -33,7 +38,10 @@
 			$this->template->set_block('calendar','type_option_block');
 			$this->template->set_block('calendar','bar_block');
+			$this->template->set_block('home_search_bar','search_bar');
 			$this->template->set_var('lang_back',lang("back"));
 			$this->template->set_var('lang_calendar',lang("Calendar"));
 			$this->template->set_var('lang_search',lang("search"));
+			
+			$this->template->set_var('search',$this->template->fp('out','search_bar'));
 			
 			if(!function_exists("get_events")){
Index: /branches/2.2/mobile/inc/class.ui_home.inc.php
===================================================================
--- /branches/2.2/mobile/inc/class.ui_home.inc.php	(revision 3600)
+++ /branches/2.2/mobile/inc/class.ui_home.inc.php	(revision 3641)
@@ -22,7 +22,10 @@
 		function index($params) {
 			$this->template->set_file(array('home_index' => 'home_index.tpl'));
+			$this->template->set_file(array('home_search_bar' => 'search_bar.tpl'));
+					
 			$this->template->set_block('home_index','page');	
 			$this->template->set_block('home_index','folder_block');
-			$this->template->set_block('home_index','commitment_block');
+			$this->template->set_block('home_index','commitment_block');	
+			$this->template->set_block('home_search_bar','search_bar');
 			
 			//langs
@@ -39,4 +42,6 @@
 			$this->template->set_var('lang_selected', lang("selected"));
 			
+			$this->template->set_var('search',$this->template->fp('out','search_bar'));
+			
 			$accountId = $GLOBALS['phpgw_info']['user']['account_id'];
 			
@@ -131,8 +136,9 @@
 			$ui_mobilemail = CreateObject("mobile.ui_mobilemail");//Necessário para lista de emails, que é uma função estática
 
-			$p = CreateObject('phpgwapi.Template', PHPGW_SERVER_ROOT . '/mobile/templates/'.$GLOBALS['phpgw_info']['server']['template_set']);
+			$p = $this->template;
 			$p->set_file(
 				Array(
-					'search' => 'home_search.tpl'
+					'search' => 'home_search.tpl',
+					'home_search_bar' => 'search_bar.tpl'
 				)
 			);
@@ -140,4 +146,6 @@
 			//Langs gerais da página
 			$p->set_block('search','home_search');
+			$p->set_block('home_search_bar','search_bar');
+			
 			$p->set_var('search_param',$params['name']);
 			$p->set_var('lang_back',lang('back'));
@@ -164,4 +172,6 @@
 							isset($params["request_from"])?
 							$params["request_from"]:"none");
+			
+			$p->set_var('search',$p->fp('out','search_bar'));
 			
 			//Contatos			
Index: /branches/2.2/mobile/inc/class.ui_mobilemail.inc.php
===================================================================
--- /branches/2.2/mobile/inc/class.ui_mobilemail.inc.php	(revision 3609)
+++ /branches/2.2/mobile/inc/class.ui_mobilemail.inc.php	(revision 3641)
@@ -422,7 +422,11 @@
 			$p->set_file(
 				Array(
-					'mail_t' => 'mobilemail.tpl'
+					'mail_t' => 'mobilemail.tpl',
+					'home_search_bar' => 'search_bar.tpl'
 				)
 			);
+
+			$p->set_block('home_search_bar','search_bar');
+
 			$p->set_var("page",$this->current_page+1);
 			$p->set_var("lang_new_message",lang("new message"));
@@ -433,7 +437,8 @@
 			$p->set_var("lang_back",lang("back"));
 			$p->set_var("lang_new_message",lang("new message"));
-			$p->set_var("lang_search_message",lang("search"));
+			$p->set_var('lang_search',lang('search'));
 			$p->set_var("lang_more",lang("more"));
 			$p->set_var("lang_messages",lang("messages"));
+			$p->set_var('search',$p->fp('out','search_bar'));
 			
 			$max_per_page = 
Index: /branches/2.2/mobile/inc/class.ui_mobilecc.inc.php
===================================================================
--- /branches/2.2/mobile/inc/class.ui_mobilecc.inc.php	(revision 3634)
+++ /branches/2.2/mobile/inc/class.ui_mobilecc.inc.php	(revision 3641)
@@ -123,5 +123,6 @@
 			$this->template->set_file(
 				Array(
-					'contacts_list' => 'cc_main.tpl'
+					'contacts_list' => 'cc_main.tpl',
+					'home_search_bar' => 'search_bar.tpl'
 				)
 			);
@@ -129,4 +130,5 @@
 			$this->template->set_block("contacts_list","main_body");
 			$this->template->set_block("contacts_list","pagging_block");
+			$this->template->set_block('home_search_bar','search_bar');
 
 			//Langs gerais da página
@@ -142,4 +144,6 @@
 										$this->page_info["request_from"]==null?
 										"none":$this->page_info["request_from"]);
+			
+			$this->template->set_var('search',$this->template->fp('out','search_bar'));
 			
 			//Combo de catálogos
Index: /branches/2.2/mobile/templates/default/search_bar.tpl
===================================================================
--- /branches/2.2/mobile/templates/default/search_bar.tpl	(revision 3641)
+++ /branches/2.2/mobile/templates/default/search_bar.tpl	(revision 3641)
@@ -0,0 +1,6 @@
+<!-- BEGIN search_bar -->
+	<div id="busca">
+		<div style="float:left; width:76%; margin-right:23px"><input type="text" style="width:100%" name="name" ></div>
+    	<div style="float:left;" ><button name="search_message" class="btn-busca" onClick="document.getElementById('formu_busca').submit();" >buscar </button></div>
+	</div>
+<!-- END search_bar -->
Index: /branches/2.2/mobile/templates/default/cc_main.tpl
===================================================================
--- /branches/2.2/mobile/templates/default/cc_main.tpl	(revision 3634)
+++ /branches/2.2/mobile/templates/default/cc_main.tpl	(revision 3641)
@@ -12,12 +12,11 @@
 		</div>
 		
-		<div class="busca"> <form id="formu_busca" action="index.php" method="post">
+		<form id="formu_busca" action="index.php" method="post">
 		<input type="hidden" name="menuaction" value="mobile.ui_home.search">
 		<input type="hidden" name="catalog_to_search" value="{actual_catalog}">
 		<input type="hidden" name="contacts_request_from" value="{contacts_request_from}">
-		<input type="text" name="name"> 
-		<button name="buscar_contato" class="btn-generico" onClick="document.getElementById('formu_busca').submit()">{lang_search}</button>
+		{search}
 		</form>
-		</div>
+		
 
 		<dl id="lista_miolo">
Index: /branches/2.2/mobile/templates/default/calendar.tpl
===================================================================
--- /branches/2.2/mobile/templates/default/calendar.tpl	(revision 3599)
+++ /branches/2.2/mobile/templates/default/calendar.tpl	(revision 3641)
@@ -11,8 +11,5 @@
 <form method="post" action="index.php?menuaction=mobile.ui_home.search" id="form_search">
 	<input type="hidden" name="calendar_search" value="1">
-	<div class="busca"> 
-		<input type="text" name="name" id="name"> 
-		<button name="buscar_compromisso" class="btn-generico" onclick="document.getElementById('form_search').submit()">{lang_search}</button>
-	</div>
+	{search}
 </form>
 
Index: /branches/2.2/mobile/templates/default/mobilemail.tpl
===================================================================
--- /branches/2.2/mobile/templates/default/mobilemail.tpl	(revision 3589)
+++ /branches/2.2/mobile/templates/default/mobilemail.tpl	(revision 3641)
@@ -4,9 +4,9 @@
 		</div>
 			
-		<div class="busca"><form action="index.php" method="post" id="formu_busca"> 
+		<form action="index.php" method="post" id="formu_busca"> 
 		<input type="hidden" name="menuaction" value="mobile.ui_home.search">
 		<input type="hidden" name="folder_to_search" value="{folder_id}">
-		<input type="text" name="name"> 
-		<button name="search_message" class="btn-generico" onClick="document.getElementById('formu_busca').submit();">{lang_search_message}</button></form></div>
+		{search}
+		</form>
 	
 		
Index: /branches/2.2/mobile/templates/default/home_search.tpl
===================================================================
--- /branches/2.2/mobile/templates/default/home_search.tpl	(revision 3596)
+++ /branches/2.2/mobile/templates/default/home_search.tpl	(revision 3641)
@@ -4,5 +4,4 @@
 		</div>
 			
-		<div class="busca"> 
 			<form method="post" action="index.php">
 				<input type="hidden" name="menuaction" value="mobile.ui_home.search">
@@ -15,8 +14,7 @@
 				
 				<input type="hidden" name="contacts_request_from" value="{contacts_request_from}">
-				<input type="hidden" name="name" value="{search_param}">
-			<input type="text" name="name"> <input type="submit" class="btn-generico" value="{lang_search}" ></form>
-		</div>
-				
+			
+		{search}
+				</form>
 		
 		<dl id="lista_miolo">
Index: /branches/2.2/mobile/templates/default/home_index.tpl
===================================================================
--- /branches/2.2/mobile/templates/default/home_index.tpl	(revision 3600)
+++ /branches/2.2/mobile/templates/default/home_index.tpl	(revision 3641)
@@ -1,8 +1,6 @@
 <!-- BEGIN page -->
 <form method="post" action="index.php?menuaction=mobile.ui_home.search" id="form_search">
-	<div class="busca"> 
-		<input type="text" name="name" id="name" />
-		<button id="buscar" class="btn-generico" onclick="document.getElementById('form_search').submit()">{lang_search}</button>
-	</div>
+	{search}
+	
 	
 	<div class="menu-contexto">
@@ -14,11 +12,11 @@
 	
 	<dl id="lista_miolo">
-		<dt><input type="checkbox" name="default_folders" value='1'></input>{lang_my_mail} | <span class="rotulo-complementar">Usados {quota_percent}% [{quota_used}/{quota_limit}]</span></dt>
+		<dt><input type="checkbox" name="default_folders" value='1'/> {lang_my_mail} | <span class="rotulo-complementar">Usados {quota_percent}% [{quota_used}/{quota_limit}]</span></dt>
 			{default_folders_box}
-    <dt><input type="checkbox" name="personal_folders" value='1'><a href="index.php?menuaction=mobile.ui_home.index&expand_folders={expand_folders}">{lang_my_folders}</a></dt>
+    <dt><input type="checkbox" name="personal_folders" value='1'><a href="index.php?menuaction=mobile.ui_home.index&expand_folders={expand_folders}"> {lang_my_folders}</a></dt>
       {personal_folders_box}			
-		<dt><input type="checkbox" name="calendar_search" value='1'><a href="index.php?menuaction=mobile.ui_mobilecalendar.index">{lang_my_commitments}</a></dt>
+		<dt><input type="checkbox" name="calendar_search" value='1'><a href="index.php?menuaction=mobile.ui_mobilecalendar.index"> {lang_my_commitments}</a></dt>
 			{commitments_box} 
-    <dt><input type="checkbox" name="contacts_search" value='1'>{lang_my_contacts}</dt>			
+    <dt><input type="checkbox" name="contacts_search" value='1'> {lang_my_contacts}</dt>			
 	</dl>
 </form>
Index: /branches/2.2/mobile/templates/css/mobile.css
===================================================================
--- /branches/2.2/mobile/templates/css/mobile.css	(revision 3605)
+++ /branches/2.2/mobile/templates/css/mobile.css	(revision 3641)
@@ -1,69 +1,150 @@
 /**********GLOBAL RESET*************/
+body {margin:0;padding:0;border:0;font-weight:inherit;font-style:inherit;font-size:medium;font-family:Arial, Helvetica, sans-serif;}
+body { -webkit-text-size-adjust: none; }
 
 html, body, div, span, iframe, h1, h2, h3, h4, h5, h6, p,
 blockquote, pre, a, abbr, acronym, address, code, del, 
-dfn, em, img, q, dl, dt, dd, ol, ul, li, fieldset, form, 
+dfn, em, img, q, dl, dt, dd, ol, fieldset, form, 
 label, legend, table, caption, tbody, tfoot, thead, tr, th, 
-td {margin:0;padding:0;border:0;font-weight:inherit;font-style:inherit;font-size:100%;font-family:Arial, Helvetica, sans-serif;}
-body { -webkit-text-size-adjust: none; }
+td {margin:0;padding:0;border:0;font-weight:inherit;font-style:inherit;}
+
+/*INSERIDOS*/
+
 table {border-collapse:separate;border-spacing:0;}
-caption, th, td {text-align:left;font-weight:normal;}
+
+
+#busca table { width:100%;}
+.gd {width:90%; padding:2px 0;}
+.pq {width:10%; padding-left:5px; padding-right:5px;text-align:center;}
+.bt {width:10%; padding-left:10px; }
+
+
+caption, th, td {text-align:left;}
 table, td, th {vertical-align:middle;}
 blockquote:before, blockquote:after, q:before, q:after {content:"";}
 blockquote, q {quotes:"" "";}
 a img {border:none;}			
-a:link, a:visited {text-decoration: none}
+a:link, a:visited {text-decoration: none; font-size:small;}
 li {list-style:none;}
-body {margin:0;padding:0;border:0;font-weight:inherit;font-style:inherit;font-size:100%;font-family:Arial, Helvetica, sans-serif;vertical-align:baseline;}
-
-
-/***************Elementos******************/X
-
-*{font-family:Arial; font-size: 10px;}
-h1{ padding-top: 5px; height:20px; font-size: 90%; padding-left:5px; color:#FFFFFF;}
-dt{ padding:2px 0px 0px 5px; height:20px; font-weight:bold; font-size: 80%; color:#3E3E3D; background-color:#CEE5EF;}
-dt.seen {font-weight:normal;}
+
+
+
+
+
+/***************Elementos******************/
+
+h1{ padding-top: 5px; height:20px; font-size:small; padding-left:5px; color:#FFFFFF; float:left;  }
+dt { padding:3px 3px 3px 10px; font-size:small; color:#3E3E3D; background-color:#CEE5EF; width:100%;}
+dt input[type="checkbox"] {
+   width: 13px;
+   height: 13px;
+   padding: 0;
+   margin:0;
+   vertical-align: bottom;
+   position: relative;
+   top: -1px;
+   *overflow: hidden;
+}
+.dt-azul, .dt-branco {background:#EEF7FA; clear:both; display:table; margin-top:10px; width:100%; padding:10px; 0}
+.dt-branco {background:#FFF;}
+dt.seen {font-weight:normal;width:100%;}
 dt.important, dt.important a {color:#FF0000;}
-dd{ min-width:200px; padding-top:3px; padding-left:25px; vertical-align:middle; min-height:20px; font-size:70%;}
-input{ height: 15px; }
-textarea { width: 100%; }
-dt select, div.menu-contexto select{font-size:80%; border:none; color:#ffffff; background-color:#2B84AF;}
-div.menu-contexto select{font-size:90%; border:none; color:#ffffff; background-color:#2B84AF;}
-div.menu-contexto a{color:#FFFFFF; text-decoration:underline;}
-#operacao_lista{ padding-left: 5px; padding-top:5px; height:25px; font-size:70%; background-color:#C9C9C9; }
-#menu_rodape{background-color:#F2F2F2;}
-#menu_rodape a{ padding-left:10px; color:#2B84AF; font-size:90%; }
-#corpo_mensagem{ padding:10px;font-size:11px; min-width:200px;}
-#corpo_mensagem p{min-height:25px;}
-#corpo_mensagem input {height:10px;}
+dd{ padding-top:3px; padding-left:25px; vertical-align:middle; font-size:small;}
+input{height: 15px;}
+textarea {width: 93%;}
+dt select, div.menu-contexto select {font-size:x-small; border:none; color:#ffffff; background-color:#2B84AF;}
+div.menu-contexto select{font-size:small; border:none; color:#ffffff; background-color:#2B84AF;}
+div.menu-contexto a {color:#FFFFFF; text-decoration:underline;}
+#operacao_lista {padding:5px; min-height:25px; font-size:small; background-color:#C9C9C9; width:100%;}
+#operacao_lista span {font-size:x-small;}
+#menu_rodape {background-color:#F2F2F2; }
+
+/*novo*/
+#menu_rodape ul { width:100%;  margin:0px 0 0 -10px; }
+#menu_rodape ul li { text-align:left; }
+#menu_rodape a {color:#2B84AF; font-size:x-small; }
+
+
+
+/*ALTERADOS*/
+
+#corpo_mensagem {clear:both; padding-top:15px; color:#666; background-color:#CEE5EF; width:100%; padding-left:10px; min-height:230px; padding-bottom:10px;font-size:small;}
+#corpo_mensagem #foto {padding:5px 0px 10px 10px;}
+#corpo_mensagem #foto img {border:1px solid #2B84AF;}
+#corpo_mensagem #nome {font-size:small; width:100%; padding:15px 0px 10px 10px; font-weight:bold;}
+#corpo_mensagem #itens {font-size:x-small; float:left; font-weight:bold; text-align:right; padding-right:10px;}
+#corpo_mensagem #itens-preenchidos {font-size:x-small; width:50%; float:left; font-weight:normal;}
+#corpo_mensagem input {height:15px;}
+
+#campos-correspondencia {font-weight:bold; text-align:right;color:#666; background-color:#CEE5EF; width:100%; padding-left:10px; min-height:120px; padding-bottom:30px;}
+#posiciona-esquerda {font-size:small;  float:left; font-weight:normal; text-align:left;}
+#posiciona-direita {font-size:x-small;  float:right; margin-right:50px; font-weight:normal; text-align:left;}
+
+#lista_miolo {clear:both; color:#666; width:100%; /*min-height:165px;*/font-size:small; }
+#lista_miolo dd {background-color:#FFFFFF; padding:3px 3px 3px 10px; width:100%;  }
+#lista_miolo dd.par {background-color:#EEF7FA; }
+#lista_miolo #iten {width:80%; float:left; font-weight:normal; text-align:left;}
+#lista_miolo #iten a {font-size:small;}
+#lista_miolo #contagem {font-size:x-small; width:20%; float:left; font-weight:normal; text-align:left;}
+
+
+
 
 /***************Classes******************/
 
-
-.busca{ padding-left: 5px; padding-top:5px; height:25px;; background-color:#E4E4E4}
-.busca input{height:15px;}
-.busca input.btn-generico{height:20px;}
-.par{background-color:#EEF7FA}
-.topo{background-color:#3E3E3D;}
+/*ALTERADOS*/
+
+#busca{ padding-left:10px; padding-top:5px;background-color:#E4E4E4; min-height:35px; width:100%;}
+#busca input[type="text"] {height:20px; width:90%; margin-right:5px}
+#busca input[type="button"] {height:20px; min-width:100px;}
+/*.busca input {height:10px; width:87%; float:left;}*/
+
+.limpar_div {
+	clear:both
+	}
+
+
+
+.topo {width:100%; padding-left:10px; background:#333; display:table }
+.topo a{color:#FFF; text-decoration:underline; float:right; margin:4px 20px 0 0 }
+
 .rodape{ padding-top:4px; height:16px; text-align:center; font-size:50%; background-color:#F6F6F6; color:#333333;}
-.btn-generico{color:#FFFFFF; background-color:#434343; border:none;}
-.contagem{ text-align:right;}
-.nome-item{ float:left;width:160px;}
-.menu-contexto{ padding-top:3px; padding-left:5px; height:23px; font-size:70%; background-color:#3399CC; color:#FFFFFF;}
-.btn-contexto{ font-size:90%; background-color:#2B84AF; color:#FFFFFF; border:none;}
-.btn-generico, .btn-contexto{ height:20px; }
-.titulo_mensagem{ font-size:75%; font-weight:bold; overflow: hidden;}
-.titulo-sdt{ padding:2px 0px 0px 5px; height:20px; font-weight:bold; font-size: 80%; color:#3E3E3D; background-color:#CEE5EF;}
+.btn-generico{color:#FFFFFF; background-color:#434343; border:none; min-width:60px;}
+.contagem {text-align:right; width:20%;}
+.nome-item{float:left;width:77%;font-size:small; color:#3E3E3D}
+.nome-item-telefone{margin-left:21px}
+.bg-branco{background:#FFF}
+
+.menu-contexto {padding-left:16px; padding-top:10px; font-size:x-small; background-color:#3399CC; color:#FFFFFF; width:100%; min-height:35px;}
+.btn-contexto {font-size:x-small; background-color:#2B84AF; color:#FFFFFF; border:none;  min-height:20px;}
+.btn-generico, .btn-contexto{padding:6px; 4px; }
+
+/*novo*/ 
+.btn-busca {padding:4px; font-size:x-small; background-color:#2B84AF; color:#FFFFFF; border:none;  min-height:20px;}
+#voltar {margin:0; padding:0}
+
+
+#titulo {width:100%; }
+.titulo_mensagem {font-size:small; font-weight:bold; overflow: hidden; padding:15px 15px 5px 10px;}
+.titulo-sdt{ padding:2px 0px 0px 5px; height:20px; font-weight:bold; font-size: x-small; color:#3E3E3D; }
+
 
 .menu-diverso{ height:35px;}
-.menu-diverso a{ margin-right:3px; padding:5px; font-size:110%; background-color:#EEF7FA; color:#434343;}
+.menu-diverso a{ margin-right:3px; padding:5px; font-size:x-small; background-color:#EEF7FA; color:#434343;}
 .menu-diverso a:hover,.menu-diverso a.letter-contact-selected {color:#FFFFFF;background-color:#3399CC;}
-dt.menu-diverso div{margin-top:8px;}
-
-.reset-dt{background-color:#ffffff;}
-.dd-mensagem{height:30px;overflow: hidden;}
-.btn-anexo{ padding:2px; font-size: 80%; background-color:#FAD364;}
-a.btn-anexo{ padding:2px; font-size: 80%; color:#3E3E3D; background-color:#FAD364;}
-.sobre-mensagem{ min-width:140px; float:left;}
+dt.menu-diverso div {margin-top:8px;}
+
+.reset-dt {background-color:#ffffff; width:98%; padding:10px 3px 3px 10px;}
+.reset-dt1 {width:98%; padding:3px 3px 3px 10px;}
+.dd-mensagem {height:30px;overflow: hidden;padding:3px 0px 15px 10px;}
+.btn-anexo {padding:2px; font-size: x-small; background-color:#FAD364;}
+.btn-anexo a {padding:3px; font-size: x-small;  background-color:#FAD364;}
+.sobre-mensagem {float:left;}
+
+
+#ver-detalhes {float:left;padding:2px; background-color:#FAD364;}
+#ver-detalhes a {padding:3px;color:#666;font-size:x-small;}
+
+
 
 .alerta{ font-style:italic; color:#FF3300;}
@@ -73,17 +154,18 @@
 .label-normal{font-style:italic;}
 
-.campos-entrada{ height:110px; font-size:70%; background-color:#CEE5EF;}
-.campos-correspondencia{ min-height:80px; font-size:70%; background-color:#CEE5EF;}
-.campos-correspondencia input{height:15px;}
-.campos-correspondencia p{height:25px;}
-.campos-correspondencia p label{float:left;width:75px;}
-.campos-entrada input{height:10px;}
-.campos-correspondencia, .campos-entrada { padding:5px 0px 0px 10px; }
+#campos {width:99%; height:auto;background-color:#CEE5EF;}
+.campos-entrada{ font-size:70%; background-color:#CEE5EF;height:auto;}
+.campos-correspondencia {font-size:x-small; padding:5px;} 
+.campos-correspondencia input {height:17px;  float:left;}
+.campos-correspondencia p { }
+.campos-correspondencia p label {float:left;width:100%;}
+.campos-entrada input {height:15px;  }
+.campos-correspondencia, .campos-entrada { }
 
 .login{ background-color:#EEF7FA;}
 .login p{padding:3px;}
 .avisos{background-color:#FAE1E1;}
-.aviso-positivo{ padding:5px; font-size:70%; color:#333333; background-color:#CEE5EF; }
-.aviso-negativo{ padding:5px; font-size:70%; color:#333333; background-color:#FAE1E1; }
+.aviso-positivo{ padding:5px; font-size:x-small; color:#333333; background-color:#CEE5EF; }
+.aviso-negativo{ padding:5px; font-size:x-small; color:#333333; background-color:#FAE1E1; }
 .aviso-positivo a,.aviso-negativo a{text-decoration:underline; color:#333333;}
 
@@ -91,5 +173,5 @@
 .bg-neutro{padding:5px; background-color:#EEF7FA;} 
 
-.rotulo-complementar{font-size:9px; text-decoration:underline; font-weight:normal;}
+.rotulo-complementar{font-size:x-small; text-decoration:underline; padding:3px;}
 
 .mes_corrente { padding: 0 10px }
@@ -98,7 +180,7 @@
 #semanal { border: none; margin-bottom: 5px }
 
-#calendario thead tr th { color: #333; font-size: 12px; font-weight:bold;}
+#calendario thead tr th { color: #333; font-size:small; font-weight:bold;}
 #calendario thead tr th, #calendario tbody tr td { text-align: center } 
-.semana { color: #333; font-size: 12px; width: 100%; font-weight:bold; width: 14%; }
+.semana { color:#333;font-size:small; width:100%; font-weight:bold; width: 14%; }
 .dias { border: none }
 .dias a {
@@ -130,2 +212,14 @@
 .btn_off a { margin: 0 1px; display: inline; padding: 0 6px }
 
+
+
+/*---------------------------------------- MODIFICAÇÕES ---------------------------------------------*/
+
+
+.email-item{color:#3E3E3D; font:bold small Arial, Helvetica, sans-serif; vertical-align:middle}
+.email-campos{color:#3E3E3D; font:bold small Arial, Helvetica, sans-serif; text-decoration:underline !important}
+
+
+.campos-email {width:100%; clear:both; margin-left:10px}
+.campos-email input {width:99%; clear:both}
+.campos-email a{float:left; text-align:right; margin-bottom:5px;}