Index: /branches/2.2/mobile/inc/class.ui_mobilemail.inc.php
===================================================================
--- /branches/2.2/mobile/inc/class.ui_mobilemail.inc.php	(revision 3641)
+++ /branches/2.2/mobile/inc/class.ui_mobilemail.inc.php	(revision 3651)
@@ -493,5 +493,5 @@
 
 			if(count($messages)>1) { //O array de emails tem pelo menos uma posição com o total de mensagens.
-				$bg = "par";
+				$bg = "dt-azul";
 				foreach($messages as $id => $message) {
 					
@@ -503,5 +503,5 @@
 						$from_name = $message['from']['email'];
 					
-					$p->set_var('bg',$bg=="par"?$bg="reset-dt":$bg="par");
+					$p->set_var('bg',$bg=="dt-azul"?$bg="dt-branco":$bg="dt-azul");
 					
 					$flag=" ";
@@ -524,6 +524,6 @@
 					$p->set_var('msg_number',$message["msg_number"]);
 					$p->set_var('mail_time',$message['smalldate']);
-					$p->set_var('mail_from',$functions->strach_string($message['from']['email'],23));
-					$p->set_var('subject',$functions->strach_string($message['subject'],25));
+					$p->set_var('mail_from',$message['from']['email']);
+					$p->set_var('subject',$message['subject']);
 					$p->set_var('size',$functions->borkb($message['Size']));
 					$p->set_var('lang_attachment',lang('ATTACHMENT'));
@@ -532,10 +532,10 @@
 									$message['msg_folder']:$this->folders[$this->current_folder]['folder_id']);
 					if($message['attachment']['number_attachments']>0) {
-						$p->set_var('show_attach','inline');
+						$p->set_var('show_attach','');
 						$p->set_var('no_attach_space','none');
 					}
 					else {
 						$p->set_var('show_attach','none');
-						$p->set_var('no_attach_space','block');
+						$p->set_var('no_attach_space','');
 					}
 						
Index: /branches/2.2/mobile/templates/default/mails_list.tpl
===================================================================
--- /branches/2.2/mobile/templates/default/mails_list.tpl	(revision 3602)
+++ /branches/2.2/mobile/templates/default/mails_list.tpl	(revision 3651)
@@ -3,22 +3,23 @@
 <!-- END rows_mails -->
 <!-- BEGIN row_mails -->
-				<dt class="titulo_mensagem {bg} {flag}">
-					<div class="nome-item">
-					<input type="checkbox" name="msgs[]" style="display:{show_check};" value={msg_number}><a href="index.php?menuaction=mobile.ui_mobilemail.show_msg&msg_number={msg_number}&msg_folder={msg_folder}">
-						{from}
+				<div class="{bg}">
+					<div class="posiciona-esquerda">
+					<input type="checkbox" name="msgs[]" style="display:{show_check};" value={msg_number}><a href="index.php?menuaction=mobile.ui_mobilemail.show_msg&msg_number={msg_number}&msg_folder={msg_folder}" class="email-item {flag}">
+						{subject}
 					</a>
+					<p>{from} </p>
+					<p>{mail_from}</p>
+					
 					</div>
-					<span class="contagem">{mail_time}</span>
-				</dt>
-					
-				<dd class="dd-mensagem {bg}">
-					<div class="sobre-mensagem">
-					<p>{mail_from}</p>
-					<p>{subject} </p>
-					</div> 
-					<span class="btn-anexo" style='display:{show_attach};'>{lang_attachment}</span>
-					<span style='display:{no_attach_space};'>&nbsp;</span>
-					<p>{size}</p>
-				</dd>
+				
+					<div class="posiciona-direita">
+						<b><p class="contagem {flag}">{mail_time}</p></b>
+						<span class="btn-anexo" style='display:{show_attach};'>{lang_attachment}</span>
+						<span style='display:{no_attach_space};'>&nbsp;</span>
+						<p>{size}</p>
+					</div>
+				
+				</div>
+
 <!-- END row_mails -->
 <!-- BEGIN no_messages -->
Index: /branches/2.2/mobile/templates/default/mobilemail.tpl
===================================================================
--- /branches/2.2/mobile/templates/default/mobilemail.tpl	(revision 3641)
+++ /branches/2.2/mobile/templates/default/mobilemail.tpl	(revision 3651)
@@ -1,5 +1,5 @@
 <!-- BEGIN main_emails -->		
 		<div class="menu-contexto">
-			<span><a href="javascript:history.back()">{lang_back}</a></span> <span class="titulo-secao">{folder}</span><button name="nova" title="{lang_new_message}" class="btn-contexto" onclick="location.href='index.php?menuaction=mobile.ui_mobilemail.new_msg&type=clk'">{lang_new}</button>
+			<span><a href="javascript:history.back()">{lang_back}</a></span> <span class="titulo-secao">{folder}</span><button name="nova" title="{lang_new_message}" class="btn-contexto menor" onclick="location.href='index.php?menuaction=mobile.ui_mobilemail.new_msg&type=clk'">{lang_new}</button>
 		</div>
 			
Index: /branches/2.2/mobile/templates/css/mobile.css
===================================================================
--- /branches/2.2/mobile/templates/css/mobile.css	(revision 3641)
+++ /branches/2.2/mobile/templates/css/mobile.css	(revision 3651)
@@ -5,7 +5,9 @@
 html, body, div, span, iframe, h1, h2, h3, h4, h5, h6, p,
 blockquote, pre, a, abbr, acronym, address, code, del, 
-dfn, em, img, q, dl, dt, dd, ol, fieldset, form, 
+dfn, em, img, q, dl, dt, dd, ol, fieldset, form,  
 label, legend, table, caption, tbody, tfoot, thead, tr, th, 
 td {margin:0;padding:0;border:0;font-weight:inherit;font-style:inherit;}
+
+checkbox {padding:0; margin:0}
 
 /*INSERIDOS*/
@@ -29,4 +31,26 @@
 
 
+/*-------------------------------------------------------------------NAVEGACAO-----------------------------------------------------------*/
+	
+	.navegacao { width: 260px; float: left; margin-top: 22px; width: 30% }
+	.navegacao a{color:#515151; text-decoration:none;}
+	.navegacao a:hover{text-decoration:underline;}
+	.mail-novo { background: #09C; color: #fff; display: block; height: 21px; font-size: 12px; padding-top: 4px }
+	.mail-novo a { display: inline; color: #fff; padding: 2px 6px; font-size: 10px; text-decoration: none; background:#2b83ae }
+	.mail-novo a:hover { text-decoration: none; background: #09F}
+	#meus-emails, #meus-compromissos, #minhas-pastas { font-size: 12px; color: #444 }
+		#emails-capacidade { font-size: 9px; color:#888 }
+		#emails-secoes { color: #444; font-size: 10px }		
+		.compromisso, .diretorios {}	
+		
+	#table-mail, #table-compromissos, #table-minhaspastas, #table-contatos, #mail-selecionados { font-size:12px; color: #222; line-height: 22px }
+		#mail_check { margin-left: 5px }
+		
+	
+.pagina { color: #fff; display: block; font-size: 12px; float: right; margin-top: 22px; width: 70% }
+	/*------------------------------------------------------------------/NAVEGACAO-----------------------------------------------------------*/
+	
+
+
 
 
@@ -35,26 +59,17 @@
 
 h1{ padding-top: 5px; height:20px; font-size:small; padding-left:5px; color:#FFFFFF; float:left;  }
-dt { padding:3px 3px 3px 10px; font-size:small; color:#3E3E3D; background-color:#CEE5EF; width:100%;}
-dt input[type="checkbox"] {
-   width: 13px;
-   height: 13px;
-   padding: 0;
-   margin:0;
-   vertical-align: bottom;
-   position: relative;
-   top: -1px;
-   *overflow: hidden;
-}
-.dt-azul, .dt-branco {background:#EEF7FA; clear:both; display:table; margin-top:10px; width:100%; padding:10px; 0}
+/*dt { padding:3px 3px 3px 10px; font-size:small; color:#3E3E3D; background-color:#CEE5EF; width:100%;}*/
+dt {font-size:small; color:#3E3E3D; background-color:#CEE5EF; width:100%;}
+.dt-azul, .dt-branco {background:#EEF7FA; clear:both; display:table;  width:100%; /*padding:10px 0*/}
 .dt-branco {background:#FFF;}
-dt.seen {font-weight:normal;width:100%;}
-dt.important, dt.important a {color:#FF0000;}
-dd{ padding-top:3px; padding-left:25px; vertical-align:middle; font-size:small;}
-input{height: 15px;}
+p.seen, a.seen {font-weight:normal;width:100%;}
+p.important, a.important {color:#FF0000;}
+dd{ padding-top:3px; /*padding-left:25px;*/ vertical-align:middle; font-size:small;}
+input{height: 15px;} /*o float left ta dando problema nos check boxs, por isso removi */
 textarea {width: 93%;}
-dt select, div.menu-contexto select {font-size:x-small; border:none; color:#ffffff; background-color:#2B84AF;}
+dt select, div.menu-contexto select {font-size:x-small; border:none; color:#ffffff; background-color:#2B84AF; margin:8px 0}
 div.menu-contexto select{font-size:small; border:none; color:#ffffff; background-color:#2B84AF;}
 div.menu-contexto a {color:#FFFFFF; text-decoration:underline;}
-#operacao_lista {padding:5px; min-height:25px; font-size:small; background-color:#C9C9C9; width:100%;}
+#operacao_lista {/*padding:5px; */min-height:40px; font-size:small; background-color:#C9C9C9; width:100%; padding-top:9px}
 #operacao_lista span {font-size:x-small;}
 #menu_rodape {background-color:#F2F2F2; }
@@ -69,19 +84,25 @@
 /*ALTERADOS*/
 
-#corpo_mensagem {clear:both; padding-top:15px; color:#666; background-color:#CEE5EF; width:100%; padding-left:10px; min-height:230px; padding-bottom:10px;font-size:small;}
+#corpo_mensagem {clear:both; /*padding-top:15px;*/ color:#666; width:100%; padding-left:10px; min-height:230px; padding-bottom:10px;font-size:small;}
 #corpo_mensagem #foto {padding:5px 0px 10px 10px;}
 #corpo_mensagem #foto img {border:1px solid #2B84AF;}
-#corpo_mensagem #nome {font-size:small; width:100%; padding:15px 0px 10px 10px; font-weight:bold;}
+#corpo_mensagem #nome {font-size:small; width:100%; /*padding:15px 0px 10px 10px;*/ font-weight:bold;}
 #corpo_mensagem #itens {font-size:x-small; float:left; font-weight:bold; text-align:right; padding-right:10px;}
 #corpo_mensagem #itens-preenchidos {font-size:x-small; width:50%; float:left; font-weight:normal;}
 #corpo_mensagem input {height:15px;}
 
-#campos-correspondencia {font-weight:bold; text-align:right;color:#666; background-color:#CEE5EF; width:100%; padding-left:10px; min-height:120px; padding-bottom:30px;}
-#posiciona-esquerda {font-size:small;  float:left; font-weight:normal; text-align:left;}
-#posiciona-direita {font-size:x-small;  float:right; margin-right:50px; font-weight:normal; text-align:left;}
+#campos-correspondencia {font-weight:bold; text-align:right;color:#666; background-color:#CEE5EF; width:100%; /*padding-left:10px;*/ min-height:120px; padding-bottom:30px;}
+.posiciona-esquerda {font-size:small;  float:left; font-weight:normal; text-align:left; width:74%; padding:6px 0 0 20px;  }
+.posiciona-esquerda input[type="checkbox"]{ vertical-align:baseline}
+.posiciona-esquerda p{ margin:5px 0 5px 0;}
+.posiciona-direita {font-size:x-small; float:left; font-weight:normal; text-align:left; width:20%; padding-top:16px }
+.posiciona-direita p { margin-bottom:3px}
+.posiciona-direita span{ margin:6px 0 ; display:table}
+
+
 
 #lista_miolo {clear:both; color:#666; width:100%; /*min-height:165px;*/font-size:small; }
-#lista_miolo dd {background-color:#FFFFFF; padding:3px 3px 3px 10px; width:100%;  }
-#lista_miolo dd.par {background-color:#EEF7FA; }
+#lista_miolo dd {background:#FFFFFF; /*padding:3px 3px 3px 10px;*/ width:100%;  }
+#lista_miolo dd.par {background:#EEF7FA; }
 #lista_miolo #iten {width:80%; float:left; font-weight:normal; text-align:left;}
 #lista_miolo #iten a {font-size:small;}
@@ -95,5 +116,5 @@
 /*ALTERADOS*/
 
-#busca{ padding-left:10px; padding-top:5px;background-color:#E4E4E4; min-height:35px; width:100%;}
+#busca{ /*padding-left:10px;*/ padding-top:5px;background-color:#E4E4E4; min-height:35px; width:100%;}
 #busca input[type="text"] {height:20px; width:90%; margin-right:5px}
 #busca input[type="button"] {height:20px; min-width:100px;}
@@ -105,18 +126,18 @@
 
 
-
-.topo {width:100%; padding-left:10px; background:#333; display:table }
+.topo {width:100%; /*padding-left:10px;*/ background:#333; display:table }
 .topo a{color:#FFF; text-decoration:underline; float:right; margin:4px 20px 0 0 }
 
 .rodape{ padding-top:4px; height:16px; text-align:center; font-size:50%; background-color:#F6F6F6; color:#333333;}
 .btn-generico{color:#FFFFFF; background-color:#434343; border:none; min-width:60px;}
-.contagem {text-align:right; width:20%;}
-.nome-item{float:left;width:77%;font-size:small; color:#3E3E3D}
+.contagem { }
+.nome-item{float:left;width:74%;font-size:small; color:#3E3E3D}
 .nome-item-telefone{margin-left:21px}
 .bg-branco{background:#FFF}
 
-.menu-contexto {padding-left:16px; padding-top:10px; font-size:x-small; background-color:#3399CC; color:#FFFFFF; width:100%; min-height:35px;}
-.btn-contexto {font-size:x-small; background-color:#2B84AF; color:#FFFFFF; border:none;  min-height:20px;}
-.btn-generico, .btn-contexto{padding:6px; 4px; }
+.menu-contexto {/*padding-left:16px;*/ padding-top:6px; font-size:x-small; background-color:#3399CC; color:#FFFFFF; width:100%; min-height:35px;}
+.btn-contexto {font-size:x-small; background-color:#2B84AF; color:#FFFFFF; border:none;  min-height:30px; padding:5px }
+.menor {min-height:20px !important} 
+.btn-generico {padding:6px 4px; }
 
 /*novo*/ 
@@ -135,9 +156,9 @@
 dt.menu-diverso div {margin-top:8px;}
 
-.reset-dt {background-color:#ffffff; width:98%; padding:10px 3px 3px 10px;}
-.reset-dt1 {width:98%; padding:3px 3px 3px 10px;}
+.reset-dt {background-color:#ffffff; width:98%; /*padding:10px 3px 3px 10px;*/}
+.reset-dt1 {width:98%; /*padding:3px 3px 3px 10px;*/}
 .dd-mensagem {height:30px;overflow: hidden;padding:3px 0px 15px 10px;}
 .btn-anexo {padding:2px; font-size: x-small; background-color:#FAD364;}
-.btn-anexo a {padding:3px; font-size: x-small;  background-color:#FAD364;}
+.btn-anexo a {padding:3px; font-size: x-small;  background-color:#FAD364; }
 .sobre-mensagem {float:left;}
 