Index: branches/2.2/jabberit_messenger/jmessenger/js/xtools.mini.js
===================================================================
--- branches/2.2/jabberit_messenger/jmessenger/js/xtools.mini.js	(revision 3102)
+++ branches/2.2/jabberit_messenger/jmessenger/js/xtools.mini.js	(revision 3687)
@@ -1,3 +1,2 @@
-
 (function()
 {var _FILES=[];function _convert(pString)
@@ -11,6 +10,8 @@
 {pFile=this._PATH+'xsl/'+pFile;if(!(_FILES[pFile]))
 {var _data=null;if(document.implementation.createDocument)
-_data=document.implementation.createDocument("","",null);else
-_data=new ActiveXObject("Msxml2.FreeThreadedDOMDocument");_data.async=false;_data.load(pFile+'?'+Date.parse(new Date));_FILES[pFile]=_data;}
+{var xmlHttp=new window.XMLHttpRequest();xmlHttp.open("GET",pFile+'?'+Date.parse(new Date),false);xmlHttp.send(null);_data=xmlHttp.responseXML.documentElement;}
+else
+{_data=new ActiveXObject("Msxml2.FreeThreadedDOMDocument");_data.async=false;_data.load(pFile+'?'+Date.parse(new Date));}
+_FILES[pFile]=_data;}
 return _FILES[pFile];}
 function _parse()
Index: branches/2.2/jabberit_messenger/jmessenger/js/xtools.js
===================================================================
--- branches/2.2/jabberit_messenger/jmessenger/js/xtools.js	(revision 3102)
+++ branches/2.2/jabberit_messenger/jmessenger/js/xtools.js	(revision 3687)
@@ -29,11 +29,20 @@
 		{
 			var _data = null;
+			
 			if ( document.implementation.createDocument )
-				_data = document.implementation.createDocument("", "", null);
+			{
+				var xmlHttp = new window.XMLHttpRequest();
+					xmlHttp.open("GET",pFile + '?' + Date.parse(new Date),false );
+					xmlHttp.send(null);
+				
+				_data = xmlHttp.responseXML.documentElement;
+			}
 			else
+			{
 				_data = new ActiveXObject( "Msxml2.FreeThreadedDOMDocument" );
+				_data.async = false;
+				_data.load( pFile + '?' + Date.parse(new Date) );
+			}
 
-			_data.async = false;
-			_data.load(pFile + '?' + Date.parse(new Date));
 			_FILES[pFile] = _data;
 		}
Index: branches/2.2/jabberit_messenger/jmessenger/js/SnifferBrowser.mini.js
===================================================================
--- branches/2.2/jabberit_messenger/jmessenger/js/SnifferBrowser.mini.js	(revision 3260)
+++ branches/2.2/jabberit_messenger/jmessenger/js/SnifferBrowser.mini.js	(revision 3687)
@@ -1,3 +1,2 @@
-
 (function()
 {var agt=navigator.userAgent.toLowerCase();var appVer=navigator.appVersion.toLowerCase();var is_minor=parseFloat(appVer);var is_major=parseInt(is_minor);var iePos=appVer.indexOf('msie');if(iePos!=-1)
@@ -6,5 +5,5 @@
 {is_konq=true;is_minor=parseFloat(agt.substring(kqPos+10,agt.indexOf(';',kqPos)));is_major=parseInt(is_minor);}
 var is_khtml=(((agt.indexOf('safari')!=-1)&&(agt.indexOf('mac')!=-1))&&(is_konq));var is_opera=(agt.indexOf("opera")!=-1);var is_ie=((iePos!=-1)&&(!is_opera)&&(!is_khtml));var is_gecko=((!is_khtml)&&(navigator.product)&&(navigator.product.toLowerCase()=="gecko"))?true:false;var is_gver=0;if(is_gecko)
-is_gver=navigator.productSub;var is_moz=((agt.indexOf('mozilla/5')!=-1)&&(agt.indexOf('spoofer')==-1)&&(agt.indexOf('compatible')==-1)&&(agt.indexOf('opera')==-1)&&(agt.indexOf('webtv')==-1)&&(agt.indexOf('hotjava')==-1)&&(is_gecko)&&((navigator.vendor=="")||(navigator.vendor=="Mozilla")));var _browser=[['epiphany2',(agt.indexOf('epiphany/2')!=-1)],['firefox1',(agt.indexOf('firefox/1')!=-1)],['firefox2',(agt.indexOf('firefox/2')!=-1)],['firefox3',(agt.indexOf('firefox/3')!=-1)],['iceweasel3',(agt.indexOf('iceweasel/3')!=-1)],['ie3',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(is_major<4))],['ie4',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(is_major==4))],['ie5',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(is_major==5))],['ie55',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(agt.indexOf("msie 5.5")!=-1))],['ie6',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(is_major==6))],['ie7',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(is_major==7))],['ie8',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(is_major==8))],['is_ie',((iePos!=-1)&&(!is_opera)&&(!is_khtml))],['is_gecko',is_gecko],['is_opera',is_opera],['is_khtml',is_khtml],['is_moz',is_moz],['is_opera',is_opera],['opera2',(agt.indexOf("opera 2")!=-1||agt.indexOf("opera/2")!=-1)],['opera3',(agt.indexOf("opera 3")!=-1||agt.indexOf("opera/3")!=-1)],['opera4',(agt.indexOf("opera 4")!=-1||agt.indexOf("opera/4")!=-1)],['opera5',(agt.indexOf("opera 5")!=-1||agt.indexOf("opera/5")!=-1)],['opera6',(agt.indexOf("opera 6")!=-1||agt.indexOf("opera/6")!=-1)],['opera7',(agt.indexOf("opera 7")!=-1||agt.indexOf("opera/7")!=-1)],['opera8',(agt.indexOf("opera 8")!=-1||agt.indexOf("opera/8")!=-1)],['opera9',(agt.indexOf("opera 9")!=-1||agt.indexOf("opera/9")!=-1)],['safari',((agt.indexOf('safari')!=-1)&&(agt.indexOf('mac')!=-1))],['khtml',is_khtml]];function isCompatible()
+is_gver=navigator.productSub;var is_moz=((agt.indexOf('mozilla/5')!=-1)&&(agt.indexOf('spoofer')==-1)&&(agt.indexOf('compatible')==-1)&&(agt.indexOf('opera')==-1)&&(agt.indexOf('webtv')==-1)&&(agt.indexOf('hotjava')==-1)&&(is_gecko)&&((navigator.vendor=="")||(navigator.vendor=="Mozilla")));var _browser=[['chrome8',(agt.indexOf('chrome/8')!=-1)],['epiphany2',(agt.indexOf('epiphany/2')!=-1)],['firefox1',(agt.indexOf('firefox/1')!=-1)],['firefox2',(agt.indexOf('firefox/2')!=-1)],['firefox3',(agt.indexOf('firefox/3')!=-1)],['iceweasel3',(agt.indexOf('iceweasel/3')!=-1)],['ie3',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(is_major<4))],['ie4',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(is_major==4))],['ie5',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(is_major==5))],['ie55',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(agt.indexOf("msie 5.5")!=-1))],['ie6',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(is_major==6))],['ie7',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(is_major==7))],['ie8',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(is_major==8))],['is_ie',((iePos!=-1)&&(!is_opera)&&(!is_khtml))],['is_gecko',is_gecko],['is_opera',is_opera],['is_khtml',is_khtml],['is_moz',is_moz],['is_opera',is_opera],['opera2',(agt.indexOf("opera 2")!=-1||agt.indexOf("opera/2")!=-1)],['opera3',(agt.indexOf("opera 3")!=-1||agt.indexOf("opera/3")!=-1)],['opera4',(agt.indexOf("opera 4")!=-1||agt.indexOf("opera/4")!=-1)],['opera5',(agt.indexOf("opera 5")!=-1||agt.indexOf("opera/5")!=-1)],['opera6',(agt.indexOf("opera 6")!=-1||agt.indexOf("opera/6")!=-1)],['opera7',(agt.indexOf("opera 7")!=-1||agt.indexOf("opera/7")!=-1)],['opera8',(agt.indexOf("opera 8")!=-1||agt.indexOf("opera/8")!=-1)],['opera9',(agt.indexOf("opera 9")!=-1||agt.indexOf("opera/9")!=-1)],['safari',((agt.indexOf('safari')!=-1)&&(agt.indexOf('mac')!=-1))],['khtml',is_khtml]];function isCompatible()
 {if(arguments.length>0)
 {var _args=arguments;for(i=0;i<_args.length;i++)
Index: branches/2.2/jabberit_messenger/jmessenger/js/jscode/loadIM.mini.js
===================================================================
--- branches/2.2/jabberit_messenger/jmessenger/js/jscode/loadIM.mini.js	(revision 3680)
+++ branches/2.2/jabberit_messenger/jmessenger/js/jscode/loadIM.mini.js	(revision 3687)
@@ -1,3 +1,2 @@
-
 (function()
 {var _autoStatus;var _autoStatusTime=60000;var addUser=null;var conn=null;var fullName="";var path="";var _preferencesIM="";var selectEditable=null;var showhidden=null;var statusUserIM="";var _statusMessage="";var timeoutId=null;var userCurrent=null;var _timeOutNotification="";var Xtools=null;var zIndex=9001;var windowPopUp=[];var add_user=new Image();add_user.src=path_jabberit+'templates/default/images/adduser_azul.png';var arrow_down=new Image();arrow_down.src=path_jabberit+'templates/default/images/arrow_down.gif';var arrow_right=new Image();arrow_right.src=path_jabberit+'templates/default/images/arrow_right.gif';function actionButton()
@@ -278,7 +277,5 @@
 {if(_roomsCount!=element.length)
 return false;var paramsListRooms={"path_jabberit":path_jabberit};var winListRooms={id_window:"window_List_Rooms_jabberit_messenger",width:450,height:300,top:100,left:400,draggable:true,visible:"display",resizable:true,zindex:loadscript.getZIndex(),title:"Expresso Messenger - Salas de Bate Papo",closeAction:"remove",content:Xtools.parse(_xml,"listRooms.xsl",paramsListRooms)};_winBuild(winListRooms);var _pButtons={'lang1':'Criar Nova Sala','lang2':'Fechar','onclickClose':'_winBuild("window_List_Rooms_jabberit_messenger","remove");','onclickSubmit':'loadscript.createChatRooms();'};document.getElementById('buttons_addChatRoom').innerHTML=Xtools.parse(Xtools.xml('buttons_main'),'buttons.xsl',_pButtons);};var _add_room=function(_room)
-{_roomsCount++;var _ROOM=_xml.createElement('room')
-var _JIDROOM=_xml.createElement('jidRoom')
-var nameRoom=_room.getAttribute('from');_ROOM.setAttribute('nameRoom',unescape((nameRoom.substring(0,nameRoom.indexOf("@"))).toUpperCase()));_JIDROOM.appendChild(_xml.createTextNode(nameRoom));_ROOM.appendChild(_JIDROOM);var _fields=_room.getElementsByTagName('field');for(var f=0;f<_fields.length;f++)
+{_roomsCount++;var _ROOM=_xml.createElement('room');var _JIDROOM=_xml.createElement('jidRoom');var nameRoom=_room.getAttribute('from');_ROOM.setAttribute('nameRoom',unescape((nameRoom.substring(0,nameRoom.indexOf("@"))).toUpperCase()));_JIDROOM.appendChild(_xml.createTextNode(nameRoom));_ROOM.appendChild(_JIDROOM);var _fields=_room.getElementsByTagName('field');for(var f=0;f<_fields.length;f++)
 {if(_fields[f].getAttribute('var'))
 {if(_fields[f].firstChild.hasChildNodes()&&_fields[f].getAttribute('var')=='muc#roominfo_description')
Index: branches/2.2/jabberit_messenger/jmessenger/js/SnifferBrowser.js
===================================================================
--- branches/2.2/jabberit_messenger/jmessenger/js/SnifferBrowser.js	(revision 3228)
+++ branches/2.2/jabberit_messenger/jmessenger/js/SnifferBrowser.js	(revision 3687)
@@ -51,4 +51,7 @@
     var _browser = [
 	
+   	        // Chrome	
+   	    	['chrome8', ( agt.indexOf('chrome/8') != -1 ) ],
+	        
 	        // EPIPHANY	
 	    	['epiphany2', ( agt.indexOf('epiphany/2') != -1 ) ],
Index: branches/2.2/jabberit_messenger/js/xtools.js
===================================================================
--- branches/2.2/jabberit_messenger/js/xtools.js	(revision 3102)
+++ branches/2.2/jabberit_messenger/js/xtools.js	(revision 3687)
@@ -29,11 +29,20 @@
 		{
 			var _data = null;
+			
 			if ( document.implementation.createDocument )
-				_data = document.implementation.createDocument("", "", null);
+			{
+				var xmlHttp = new window.XMLHttpRequest();
+					xmlHttp.open("GET",pFile + '?' + Date.parse(new Date),false );
+					xmlHttp.send(null);
+				
+				_data = xmlHttp.responseXML.documentElement;
+			}
 			else
+			{
 				_data = new ActiveXObject( "Msxml2.FreeThreadedDOMDocument" );
+				_data.async = false;
+				_data.load( pFile + '?' + Date.parse(new Date) );
+			}
 
-			_data.async = false;
-			_data.load(pFile + '?' + Date.parse(new Date));
 			_FILES[pFile] = _data;
 		}